/*
 *  resourced
 *
 * Copyright (c) 2000 - 2014 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

/*
 *  @file: const.h
 *
 */

#ifndef _RESOURCED_CONST_H
#define _RESOURCED_CONST_H

#define TASK_FILE_NAME "/tasks"
#define CGROUP_FILE_NAME "/cgroup.procs"

#define MAX_PATH_LENGTH 512
#define MAX_NAME_LENGTH 256
#define MAX_APPID_LENGTH 128
#define MAX_PKGNAME_LENGTH 128
#define MAX_TYPE_LENGTH 16

/*
 * MAX_X_LENGTH - 1; to use STR_FS(x)
 *
 * We can't use "%(MAX - 1)s" for format specifier
 * because preprocessor doesn't calculate (MAX - 1).
 */
#define MAX_APPID_LENGTH_M1 127
#define MAX_PKGNAME_LENGTH_M1 127

#define PROC_BUF_MAX 64
#define PROC_NAME_MAX 1024

#define TIME_TO_SAFE_DATA 1 /* one second */

#define PAGE_SHIFT	12
#define PAGE_SIZE	(1 << PAGE_SHIFT)

#endif /* _RESOURCED_CONST_H */
