/*
 * resourced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef DBUS_NAMES_EXTERNAL_H_INCLUDE_GUARD
#define DBUS_NAMES_EXTERNAL_H_INCLUDE_GUARD

/*
 * System popup
 */
#define SYSTEM_POPUP_BUS_NAME         "org.tizen.system.popup"
#define SYSTEM_POPUP_PATH_NAME        "/Org/Tizen/System/Popup"

#define SYSTEM_POPUP_PATH_SYSTEM      SYSTEM_POPUP_PATH_NAME"/System"
#define SYSTEM_POPUP_IFACE_SYSTEM     SYSTEM_POPUP_BUS_NAME".System"

/*
 * Deviced
 */
#define DEVICED_BUS_NAME            "org.tizen.system.deviced"
#define DEVICED_OBJECT_PATH         "/Org/Tizen/System/DeviceD"

#define DEVICED_PATH_PROCESS        DEVICED_OBJECT_PATH"/Process"
#define DEVICED_INTERFACE_PROCESS   DEVICED_BUS_NAME".Process"

#define DEVICED_PATH_DISPLAY        DEVICED_OBJECT_PATH"/Display"
#define DEVICED_INTERFACE_DISPLAY   DEVICED_BUS_NAME".display"

#define DEVICED_PATH_BATTERY        DEVICED_OBJECT_PATH"/Battery"
#define DEVICED_INTERFACE_BATTERY   DEVICED_BUS_NAME".Battery"

#define DEVICED_PATH_POWEROFF       DEVICED_OBJECT_PATH"/PowerOff"
#define DEVICED_INTERFACE_POWEROFF  DEVICED_BUS_NAME".PowerOff"

#define DEVICED_PATH_TIME           DEVICED_OBJECT_PATH"/Time"
#define DEVICED_INTERFACE_TIME      DEVICED_BUS_NAME".Time"


#define SIGNAL_DEVICED_LCDON               "LCDOn"
#define SIGNAL_DEVICED_LCDOFF              "LCDOff"
#define SIGNAL_DEVICED_LCDONCOMPLETE       "LCDOnCompleted"
#define SIGNAL_DEVICED_POWEROFF_STATE      "ChangeState"
#define SIGNAL_DEVICED_SYSTEMTIME_CHANGED  "SystemTimeChanged"
#define SIGNAL_DEVICED_LOW_BATTERY		   "BatteryStatusLow"
#define SIGNAL_DEVICED_SUSPEND             "sleep"
#define SIGNAL_DEVICED_WAKEUP              "wakeup"

/*
 * dump service
 */
#define DUMP_SERVICE_BUS_NAME        "org.tizen.system.dumpservice"
#define DUMP_SERVICE_OBJECT_PATH     "/Org/Tizen/System/DumpService"
#define DUMP_SERVICE_INTERFACE_NAME  DUMP_SERVICE_BUS_NAME

#define SIGNAL_DUMP         "Dump"
#define SIGNAL_DUMP_START   "Start"
#define SIGNAL_DUMP_FINISH  "Finish"

/*
 * Crash
 */
#define CRASH_BUS_NAME         "org.tizen.system.crash"
#define CRASH_OBJECT_PATH      "/Org/Tizen/System/Crash"
#define CRASH_INTERFACE_NAME   CRASH_BUS_NAME
#define CRASH_PATH_CRASH       CRASH_OBJECT_PATH"/Crash"
#define CRASH_INTERFACE_CRASH  CRASH_INTERFACE_NAME".Crash"
#define PROCESS_CRASHED        "ProcessCrashed"

/*
 * AMD
 */
#define AUL_APPSTATUS_BUS_NAME        "org.tizen.aul.AppStatus"
#define AUL_APPSTATUS_OBJECT_PATH     "/Org/Tizen/Aul/AppStatus"
#define AUL_APPSTATUS_INTERFACE_NAME  AUL_APPSTATUS_BUS_NAME

#define AUL_SUSPEND_BUS_NAME          "org.tizen.appfw.SuspendHint"
#define AUL_SUSPEND_OBJECT_PATH       "/Org/Tizen/Appfw/SuspendHint"
#define AUL_SUSPEND_INTERFACE_NAME    AUL_SUSPEND_BUS_NAME

#define SIGNAL_AMD_LAUNCH      "AppLaunch"
#define SIGNAL_AMD_RESUME      "AppResume"
#define SIGNAL_AMD_TERMINATE   "AppTerminate"
#define SIGNAL_AMD_STATE       "AppStatusChange"
#define SIGNAL_AMD_GROUP       "AppGroup"
#define SIGNAL_AMD_TERMINATED  "AppTerminated"
#define SIGNAL_AMD_SUSPNED     "SuspendHint"

/*
 * D-Bus daemon
 */
#define DBUS_BUS_NAME        "org.freedesktop.DBus"
#define DBUS_OBJECT_PATH     "/org/freedesktop/DBus"
#define DBUS_INTERFACE_NAME  DBUS_BUS_NAME

#define METHOD_DBUS_GET_PID         "GetConnectionUnixProcessID"

/*
 * booting
 */
#define BOOTING_DONE_PATH      "/org/tizen/system"
#define BOOTING_DONE_INTERFACE "org.tizen.system.Booting"
#define SIGNAL_BOOTING_DONE    "BootingDone"

#endif
