/*
 * resourced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef DBUS_NAMES_LOCAL_H_INCLUDE_GUARD
#define DBUS_NAMES_LOCAL_H_INCLUDE_GUARD

#define RESOURCED_DBUS_BUS_NAME        "org.tizen.resourced"
#define RESOURCED_DBUS_OBJECT_PATH     "/Org/Tizen/ResourceD"
#define RESOURCED_DBUS_INTERFACE_NAME  RESOURCED_DBUS_BUS_NAME

/*
 * Core service
 *   get/set swap status
 *   operations about swap
 */
#define RESOURCED_PATH_SWAP             RESOURCED_DBUS_OBJECT_PATH"/Swap"
#define RESOURCED_INTERFACE_SWAP        RESOURCED_DBUS_INTERFACE_NAME".swap"

#define RESOURCED_PATH_FREEZER          RESOURCED_DBUS_OBJECT_PATH"/Freezer"
#define RESOURCED_INTERFACE_FREEZER     RESOURCED_DBUS_INTERFACE_NAME".freezer"

#define RESOURCED_PATH_OOM              RESOURCED_DBUS_OBJECT_PATH"/Oom"
#define RESOURCED_INTERFACE_OOM         RESOURCED_DBUS_INTERFACE_NAME".oom"

#define RESOURCED_PATH_PROCESS          RESOURCED_DBUS_OBJECT_PATH"/Process"
#define RESOURCED_INTERFACE_PROCESS     RESOURCED_DBUS_INTERFACE_NAME".process"

#define RESOURCED_PATH_DBUS             RESOURCED_DBUS_OBJECT_PATH"/DBus"
#define RESOURCED_INTERFACE_DBUS        RESOURCED_DBUS_INTERFACE_NAME".dbus"

#define RESOURCED_PATH_WATCHDOG         RESOURCED_DBUS_OBJECT_PATH"/Watchdog"
#define RESOURCED_INTERFACE_WATCHDOG    RESOURCED_DBUS_INTERFACE_NAME".watchdog"

#define RESOURCED_PATH_PRIORITY         RESOURCED_DBUS_OBJECT_PATH"/Priority"
#define RESOURCED_INTERFACE_PRIORITY    RESOURCED_DBUS_INTERFACE_NAME".priority"


#define SIGNAL_PROC_ACTIVE              "Active"
#define SIGNAL_PROC_EXCLUDE             "ProcExclude"
#define SIGNAL_PROC_PRELAUNCH           "ProcPrelaunch"
#define SIGNAL_PROC_SWEEP               "ProcSweep"
#define SIGNAL_PROC_WATCHDOG            "ProcWatchdog"
#define SIGNAL_PROC_SYSTEMSERVICE       "SystemService"
#define SIGNAL_PROC_EXCLUDEAPPID        "ProcExcludeByAppid"

#define SIGNAL_OOM_SET_THRESHOLD        "SetThreshold"
#define SIGNAL_OOM_SET_LEAVE_THRESHOLD  "SetLeaveThreshold"
#define SIGNAL_OOM_TRIGGER              "Trigger"
#define SIGNAL_OOM_SET_PERCEPTIBLE      "SetPerceptible"
#define SIGNAL_OOM_SET_PLATFORM         "SetPlatformSwap"
#define SIGNAL_OOM_SET_MEMLIMIT         "SetMemLimit"
#define SIGNAL_OOM_MEMLIMIT_EVENT       "MemLimitEvent"

#define SIGNAL_NAME_SWAP_TYPE           "SwapType"
#define SIGNAL_NAME_SWAP_START_PID      "SwapStartPid"
/*
 * Logging
 */
#define RESOURCED_PATH_LOGGING       RESOURCED_DBUS_OBJECT_PATH"/Logging"
#define RESOURCED_INTERFACE_LOGGING  RESOURCED_DBUS_INTERFACE_NAME".logging"

#endif
