/*
 * resourced
 *
 * Copyright (c) 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/

#ifndef __RESOURCED_HELPER_WORKER_H__
#define __RESOURCED_HELPER_WORKER_H__

#include <glib.h>

struct resourced_worker {
	pthread_t	worker_thread;
	GAsyncQueue	*queue;
	int		active;
	int		running;
};

enum helper_worker_operation {
	CGROUP_WRITE_NODE,
	MAKE_LOGS,
	CLEAR_LOGS,
};

struct resourced_helper_data {
	enum helper_worker_operation op;
	void *data;
	/* main function for processing data in pthread*/
	int (*helper_func) (void *data);
	/* if set, callback function is called in main thread for synchronizing pthread */
	void (*callback) (void *data, int ret);
};

int request_helper_worker(enum helper_worker_operation op,
	void *data, int (*function) (void *data), void *callback);

#endif /* __RESOURCED_HELPER_WORKER_H__ */
